package com.njcn.device.device.service;

import com.njcn.device.pq.pojo.dto.DeviceInfo;
import com.njcn.device.pq.pojo.dto.NodeProcessDeviceTree;
import com.njcn.device.pq.pojo.param.NodeDeviceParam;
import com.njcn.device.pq.pojo.po.DeviceProcess;

import java.util.List;

/**
 * Description:
 * Date: 2024/11/5  8:51【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */

public interface NodeDeviceService {
    List<DeviceInfo> nodeDeviceList(NodeDeviceParam nodeDeviceParam);

    void oneKeyDistribution(String nodeId);

    NodeProcessDeviceTree nodeDeviceTree(String nodeId);

    Boolean updateDeviceProcess(DeviceProcess deviceProcess);
}
